10 '***********************************
20 '*     DISKETTE LABEL PRINTER      *
30 '*           VER.  4.1             *
40 '* Uses 4 X 1 7/16, 1 wide labels. *
50 '* Prints title, date, disk number *
60 '* and 5 lines of comments.        *
70 '* The title is always centered.   *
80 '***********************************
90 '
100 '*********************************
110 '*   (C) Copyright 1986, 1987    *
120 '*              by               *
130 '*       Glenn M. Dickson        *
140 '*        654 Gilpin St.         *
150 '*        Houston, Texas         *
160 '*            77034              *
170 '*        (713) 944-3937         *
180 '*      ALL RIGHTS RESERVED      *
190 '*********************************
200 '
210 '********** Check for Color **********************************************
220 KEY OFF:WIDTH 80:CLEAR:LPRINT CHR$(27)"@"
230 CLS:LOCATE 11,31:PRINT"DO YOU WANT COLOR?
240 LOCATE 14,31:PRINT "[ Yes ] or [ No ]"
250 IN$=INKEY$
260 IF (IN$="Y") OR (IN$="y") THEN CLR=1:GOTO 290
270 IF (IN$="N") OR (IN$="n") THEN CLR=0:GOTO 290
280 GOTO 250
290 KEY 1,"":KEY 2,"":KEY 3,"":KEY 4,"":KEY 5,"":KEY 6,"":KEY 7,"":KEY 8,"":KEY 9,"":KEY 10,""
300 MA$="MASTER  MASTER  MASTER  MASTER  MASTER "
310 MB$="BACKUP  BACKUP  BACKUP  BACKUP  BACKUP "
320 MC$="WORKING COPY WORKING COPY WORKING COPY "
330 MD$="                                        "
340 ON KEY(1) GOSUB 3090
350 ON KEY(2) GOSUB 3790
360 ON KEY(3) GOSUB 3750
370 ON KEY(4) GOSUB 3760
380 ON KEY(5) GOSUB 3770
390 ON KEY(7) GOSUB 3730
400 ON KEY(9) GOSUB 3720
410 ON KEY(10) GOSUB 3710
420 KEY(7) ON
430 '********** Logo Screen **************************************************
440 IF CLR THEN COLOR 12,0,0
450 CLS
460 LOCATE 1,25:PRINT CHR$(201);:FOR P=1 TO 30:PRINT CHR$(205);:NEXT:PRINT CHR$(187)
470 FOR P=2 TO 6
480 LOCATE P,56:PRINT CHR$(186):NEXT:LOCATE 7,56:PRINT CHR$(188)
490 FOR P=55 TO 26 STEP -1:LOCATE 7,P:PRINT CHR$(205);:NEXT
500 LOCATE 7,25:PRINT CHR$(200);
510 FOR P=6 TO 2 STEP -1:LOCATE P,25:PRINT CHR$(186);:NEXT
520 IF CLR THEN COLOR 14
530 LOCATE 3,30:PRINT "DISKETTE LABEL PRINTER";
540 IF CLR THEN COLOR 7
550 LOCATE 5,35:PRINT "Version 4.1";
560 IF CLR THEN COLOR 13
570 LOCATE 11,28:PRINT "Use 4 X 1 7/16 inch labels"
580 IF CLR THEN COLOR 11
590 LOCATE 14,29:PRINT "Press F7 for information"
600 IF CLR THEN COLOR 12
610 LOCATE 20,29:PRINT "(C) Copywrite 1986, 1987"
620 LOCATE 21,40:PRINT "by"
630 LOCATE 22,33:PRINT "Glenn M. Dickson"
640 IF CLR THEN COLOR 9
650 LOCATE 25,28:PRINT "Press any key to continue";
660 IF INKEY$="" THEN 660
670 LOCATE 25,28:PRINT STRING$(25," ");
680 FLG=1
690 '********** Set Up Label Screen ******************************************
700 IF CLR THEN COLOR 7,0,0
710 CLS:GOSUB 3240:IF CLR THEN COLOR 11
720 KEY(2) ON:KEY(3) OFF:KEY(4) OFF:KEY(5) OFF:KEY(7) ON: KEY(9) ON:KEY(10) ON:KEY(1) ON
730 LOCATE 5,20:PRINT CHR$(218);:FOR P=21 TO 59:PRINT CHR$(196);:NEXT:PRINT CHR$(191)
740 FOR P=6 TO 12:LOCATE P,60:PRINT CHR$(179);:NEXT:LOCATE 13,60:PRINT CHR$(217)
750 FOR P=59 TO 21 STEP -1:LOCATE 13,P:PRINT CHR$(196);:NEXT:LOCATE 13,20:PRINT CHR$(192);
760 FOR P=12 TO 6 STEP -1:LOCATE P,20:PRINT CHR$(179);:NEXT
770 IF CLR THEN COLOR 14
780 LOCATE 6,31:PRINT STRING$(19,CHR$(254));
790 LOCATE 7,21:PRINT "MM-DD-YY";:LOCATE ,54:PRINT STRING$(6,CHR$(254));
800 FOR X=1 TO 5:LOCATE 7+X,21:PRINT STRING$(39,CHR$(254));:NEXT X
810 IF FLG THEN GOSUB 4250
820 GOSUB 840:GOSUB 1030:GOSUB 1230:GOSUB 1430:GOSUB 1620:GOSUB 1810:GOSUB 2000:GOSUB 2190:GOTO 2380
830 '********** Enter TITLE Line 1 *******************************************
840 LOCATE 16,1:ABC$="Enter the TITLE":GOSUB 3160
850 LOCATE 18,1:ABC$="The TITLE will be automatically centered":GOSUB 3160
860 LOCATE 20,1:ABC$="Active Keys: F9, F10":GOSUB 3160
870 FP=31:LL=49:VP=6:LN=19:TXT$=""
880 KEY(1) OFF:KEY(2) OFF:KEY(7) OFF
890 IF CLR THEN COLOR 31
900 LOCATE 6,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
910 IF CLR THEN COLOR 14
920 IF ZX=1 THEN LOCATE VP,FP:PRINT STRING$(19,CHR$(254));
930 BEEP
940 GOSUB 2890
950 GOSUB 3090
960 GOSUB 3210
970 TITLE$=TXT$
980 LOCATE 6,19:PRINT " ";:LOCATE ,61:PRINT " ";
990 IF CLR THEN COLOR 13
1000 IF ZX=1 THEN LOCATE 6,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1010 RETURN
1020 '********** Enter Date Line 2 ********************************************
1030 VP=7:FP=21:FDATE$="":LN=8:LL=28
1040 LOCATE 16,1:ABC$="Enter the DATE":GOSUB 3160
1050 LOCATE 18,1:ABC$="RETURN will use the SYSTEM DATE":GOSUB 3160
1060 LOCATE 19,1:ABC$="'N' will leave the DATE blank":GOSUB 3160
1070 LOCATE 21,1:ABC$="Active Keys: F9, F10, 'N'":GOSUB 3160
1080 IF CLR THEN COLOR 31
1090 LOCATE 7,19:PRINT CHR$(16);:LOCATE ,29:PRINT CHR$(17);
1100 IF CLR THEN COLOR 14
1110 IF ZX=2 THEN LOCATE VP,FP:PRINT STRING$(8,CHR$(254));
1120 BEEP
1130 IF CLR THEN COLOR 10
1140 AN$=INKEY$:IF AN$=""THEN 1140
1150 IF AN$=CHR$(13) THEN FDATE$=LEFT$(DATE$,6)+RIGHT$(DATE$,2):LOCATE VP,FP:PRINT FDATE$;:GOTO 1170
1160 IF AN$="N" OR AN$="n" THEN FDATE$="        ":LOCATE VP,FP:PRINT FDATE$;
1170 GOSUB 3210
1180 LOCATE 7,19:PRINT " ";:LOCATE ,29:PRINT " ";
1190 IF CLR THEN COLOR 13
1200 IF ZX=2 THEN LOCATE 7,19:PRINT CHR$(16);
1210 RETURN
1220 '********** Enter Disk Number Line 3 ************************************
1230 LOCATE 16,1:ABC$="Enter the Disk Number":GOSUB 3160
1240 LOCATE 18,1:ABC$="RETURN for no number":GOSUB 3160
1250 LOCATE 20,1:ABC$="Active Keys: F9, F10":GOSUB 3160
1260 VP=7:FP=54:LN=6:LL=59:DSK$=""
1270 IF CLR THEN COLOR 31
1280 LOCATE 7,53:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1290 IF CLR THEN COLOR 14
1300 IF ZX=3 THEN LOCATE VP,FP:PRINT STRING$(6,CHR$(254));
1310 BEEP
1320 IF CLR THEN COLOR 10
1330 GOSUB 2890
1340 DSK$=TXT$
1350 IF LEN(DSK$) <6 THEN DSK$=" "+DSK$:GOTO 1350
1360 LOCATE VP,FP:PRINT DSK$;
1370 GOSUB 3210
1380 LOCATE 7,53:PRINT " ";:LOCATE ,61:PRINT " ";
1390 IF CLR THEN COLOR 13
1400 IF ZX=3 THEN LOCATE 7,61:PRINT CHR$(17);
1410 RETURN
1420 '********** Enter Line 4 ************************************************
1430 VP=8:FP=21:LL=59:LN=39:TXT$="":LINE4$=""
1440 LOCATE 16,1:ABC$="Enter Line 4":GOSUB 3160
1450 LOCATE 18,1:ABC$="Active Keys: F1, F2, F9, F10":GOSUB 3160
1460 KEY(1) ON:KEY(2) ON
1470 IF CLR THEN COLOR 31
1480 LOCATE 8,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1490 IF CLR THEN COLOR 14
1500 IF ZX=4 THEN LOCATE VP,FP:PRINT STRING$(39,CHR$(254));
1510 BEEP
1520 GOSUB 2890
1530 LOCATE VP,FP:PRINT TXT$;
1540 GOSUB 3210
1550 KEY(1) OFF:KEY(2) OFF
1560 LINE4$=TXT$
1570 LOCATE 8,19:PRINT " ";:LOCATE ,61:PRINT " ";
1580 IF CLR THEN COLOR 13
1590 IF ZX=4 THEN LOCATE 8,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1600 RETURN
1610 '********** Enter Line 5 ************************************************
1620 VP=9:FP=21:LL=59:LN=39:TXT$="":LINE5$=""
1630 LOCATE 16,1:ABC$="Enter Line 5":GOSUB 3160
1640 LOCATE 18,1:ABC$="Active Keys: F1, F2, F9, F10":GOSUB 3160
1650 KEY(1) ON:KEY(2) ON
1660 IF CLR THEN COLOR 31
1670 LOCATE 9,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1680 IF CLR THEN COLOR 14
1690 IF ZX=5 THEN LOCATE VP,FP:PRINT STRING$(39,CHR$(254));
1700 BEEP
1710 GOSUB 2890
1720 LOCATE VP,FP:PRINT TXT$;
1730 GOSUB 3210
1740 KEY(1) OFF:KEY(2) OFF
1750 LINE5$=TXT$
1760 LOCATE 9,19:PRINT " ";:LOCATE ,61:PRINT " ";
1770 IF CLR THEN COLOR 13
1780 IF ZX=5 THEN LOCATE 9,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1790 RETURN
1800 '********** Enter Line 6 ************************************************
1810 VP=10:FP=21:LL=59:LN=39:TXT$="":LINE6$=""
1820 LOCATE 16,1:ABC$="Enter Line 6":GOSUB 3160
1830 LOCATE 18,1:ABC$="Active Keys: F1, F2, F9, F10":GOSUB 3160
1840 KEY(1) ON:KEY(2) ON
1850 IF CLR THEN COLOR 31
1860 LOCATE 10,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1870 IF CLR THEN COLOR 14
1880 IF ZX=6 THEN LOCATE VP,FP:PRINT STRING$(39,CHR$(254));
1890 BEEP
1900 GOSUB 2890
1910 LOCATE VP,FP:PRINT TXT$;
1920 GOSUB 3210
1930 KEY(1) OFF:KEY(2) OFF
1940 LINE6$=TXT$
1950 LOCATE 10,19:PRINT " ";:LOCATE ,61:PRINT " ";
1960 IF CLR THEN COLOR 13
1970 IF ZX=6 THEN LOCATE 10,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
1980 RETURN
1990 '********** Enter Line 7 ************************************************
2000 VP=11:FP=21:LL=59:LN=39:TXT$="":LINE7$=""
2010 LOCATE 16,1:ABC$="Enter Line 7":GOSUB 3160
2020 LOCATE 18,1:ABC$="Active Keys: F1, F2, F9, F10":GOSUB 3160
2030 KEY(1) ON:KEY(2) ON
2040 IF CLR THEN COLOR 31
2050 LOCATE 11,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
2060 IF CLR THEN COLOR 14
2070 IF ZX=7 THEN LOCATE VP,FP:PRINT STRING$(39,CHR$(254));
2080 BEEP
2090 GOSUB 2890
2100 LOCATE VP,FP:PRINT TXT$;
2110 GOSUB 3210
2120 KEY(1) OFF:KEY(2) OFF
2130 LINE7$=TXT$
2140 LOCATE 11,19:PRINT " ";:LOCATE ,61:PRINT " ";
2150 IF CLR THEN COLOR 13
2160 IF ZX=7 THEN LOCATE 11,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
2170 RETURN
2180 '********** Enter Line 8 ************************************************
2190 VP=12:FP=21:LL=59:LN=39:TXT$="":LINE8$=""
2200 LOCATE 16,1:ABC$="Enter Line 8":GOSUB 3160
2210 LOCATE 18,1:ABC$="Active Keys: F1, F2, F3, F4, F5, F9, F10":GOSUB 3160
2220 KEY(1) ON:KEY(2) ON:KEY(3) ON:KEY(4) ON:KEY(5) ON
2230 IF CLR THEN COLOR 31
2240 LOCATE 12,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
2250 IF CLR THEN COLOR 14
2260 IF ZX=8 THEN LOCATE VP,FP:PRINT STRING$(39,CHR$(254));
2270 BEEP
2280 GOSUB 2890
2290 LOCATE VP,FP:PRINT TXT$;
2300 GOSUB 3210
2310 KEY(1) OFF:KEY(2) OFF:KEY(3) OFF:KEY(4) OFF:KEY(5) OFF
2320 LINE8$=TXT$
2330 LOCATE 12,19:PRINT " ";:LOCATE ,61:PRINT " ";
2340 IF CLR THEN COLOR 13
2350 IF ZX=8 THEN LOCATE 12,19:PRINT CHR$(16);:LOCATE ,61:PRINT CHR$(17);
2360 RETURN
2370 '********** Print or Re-Do **********************************************
2380 LOCATE 16,1:ABC$="IS THIS O.K.":GOSUB 3160
2390 LOCATE 18,1:ABC$="[ Yes ] or [ No ]":GOSUB 3160
2400 BEEP
2410 V=0
2420 AN$=INKEY$:IF AN$="" THEN 2420
2430 IF (AN$="N") OR (AN$="n") THEN 3840
2440 IF (AN$="Y") OR (AN$="y") THEN 2470
2450 IF AN$=CHR$(13) THEN 2470
2460 GOTO 2420
2470 GOSUB 3210:LOCATE 16,1:ABC$="Print How Many?":GOSUB 3160
2480 LOCATE 18,39:INPUT "",NUM
2490 IF NUM=0 THEN NUM=1
2500 '********** Print TITLE *************************************************
2510 LPRINT CHR$(27);"W";"1";CHR$(27);"G";CHR$(27);"E"
2520 LPRINT TITLE$
2530 '********** Print Date & Disk Number ************************************
2540 LPRINT CHR$(27);"W";"0"
2550 LPRINT TAB(1);FDATE$;TAB(34);DSK$
2560 '********** Print Lines 4 - 7 *******************************************
2570 LPRINT LINE4$
2580 LPRINT LINE5$
2590 LPRINT LINE6$
2600 LPRINT LINE7$
2610 '********** Print Line 8 ************************************************
2620 LPRINT LINE8$
2630 IF NUM >1 THEN NUM=NUM-1:GOTO 2510
2640 IF (LINE8$=MA$) OR (LINE8$=MB$) OR (LINE8$=MC$) THEN LINE8$="":LOCATE 12,21:PRINT STRING$(39," ");
2650 '********** Reprint Menu ************************************************
2660 IF CLR THEN COLOR 11,0,0
2670 CLS:ON KEY(7) GOSUB 3740:KEY(7) ON:BEEP
2680 LOCATE 6,28:PRINT "[R]  Reprint Same Label"
2690 LOCATE 8,28:PRINT "[C]  Change and Re-Print Label"
2700 LOCATE 10,28:PRINT "[M]  Print a MASTER Label"
2710 LOCATE 12,28:PRINT "[B]  Print a BACKUP Label"
2720 LOCATE 14,28:PRINT "[W]  Print a WORKING COPY Label"
2730 LOCATE 16,28:PRINT "[N]  Make a NEW Label"
2740 LOCATE 18,28:PRINT "[Q]  Quit to Basic"
2750 LOCATE 20,28:PRINT "[X]  Exit to DOS"
2760 IF CLR THEN COLOR 9
2770 LOCATE 24,28:PRINT"[F7] Program Information";
2780 AN$=INKEY$:IF AN$="" THEN 2780
2790 IF (AN$="R") OR (AN$="r") THEN 2510
2800 IF (AN$="C") OR (AN$="c") THEN 4090
2810 IF (AN$="M") OR (AN$="m") THEN LINE8$=MA$:GOTO 2510
2820 IF (AN$="B") OR (AN$="b") THEN LINE8$=MB$:GOTO 2510
2830 IF (AN$="W") OR (AN$="w") THEN LINE8$=MC$:GOTO 2510
2840 IF (AN$="N") OR (AN$="n") THEN 700
2850 IF (AN$="Q") OR (AN$="q") THEN CLS:END
2860 IF (AN$="X") OR (AN$="x") THEN CLS:SYSTEM
2870 GOTO 2780
2880 '********** Text Input **************************************************
2890 IF CLR THEN COLOR 10
2900 LOCATE VP,FP:CP=FP:TXT$=""
2910 AN$=INKEY$:IF AN$="" THEN 2910
2920 IF AN$=CHR$(13) THEN 3050
2930 IF AN$<>CHR$(8) THEN 3020
2940 IF POS(0) > FP THEN CP=POS(0)-1
2950 LOCATE ,CP
2960 IF CLR THEN COLOR 14
2970 PRINT CHR$(254);:LOCATE ,CP
2980 IF POS(0)=FP THEN TXT$="":GOTO 3000
2990 TXT$=LEFT$(TXT$,(LEN(TXT$)-1))
3000 IF CLR THEN COLOR 10
3010 GOTO 2910
3020 IF POS(0)<LL+1 THEN TXT$=TXT$+AN$ ELSE 3050
3030 LOCATE ,FP:PRINT TXT$;
3040 GOTO 2910
3050 LOCATE ,FP
3060 FOR X=FP TO LL:PRINT " ";:NEXT X
3070 RETURN
3080 '********** Center & Print **********************************************
3090 TB=INT((LN-(LEN(TXT$)))*.5)
3100 XX=LEN(TXT$)+TB
3110 IF LEN(TXT$) < XX THEN TXT$=" "+TXT$:GOTO 3110
3120 LOCATE VP,FP
3130 PRINT TXT$;
3140 RETURN
3150 '********** Center & Print Prompts **************************************
3160 IF CLR THEN COLOR 9
3170 TB=INT((80-LEN(ABC$))*.5)
3180 PRINT TAB(TB) ABC$
3190 RETURN
3200 '********** Clear Prompts ***********************************************
3210 FOR VT=16 TO 21:LOCATE VT,20:PRINT MD$:NEXT:RETURN
3220 TB=INT((40-LEN(CENT$))*.5):RETURN
3230 '********** Print 'F' Key's *********************************************
3240 IF CLR THEN COLOR 12
3250 LOCATE 25,1:PRINT "F1=Center  F2=Right   F3=MASTER   F4=BACKUP   F5=WORKING   F9=Restart   F10=End";
3260 RETURN
3270 '********** Program Information *****************************************
3280 IF CLR THEN COLOR 15,1,1
3290 CLS:KEY(7) OFF
3300 ABC$="DISKETTE LABEL PRINTER":GOSUB 3670:PRINT:ABC$="by":GOSUB 3670
3310 PRINT:ABC$="Glenn M. Dickson":GOSUB 3670
3320 PRINT:PRINT"    This program is distributed on the shareware concept.  The only charge that may be made, (by anyone other than myself), for the distribution of this        program is for the media (diskette) and that may not exceed $3.50."
3330 PRINT:PRINT"    If you find this program useful please send a $10.00 donation to:":PRINT:ABC$="Glenn M. Dickson":GOSUB 3670:ABC$="654 gilpin St.":GOSUB 3670
3340 ABC$="Houston, TX, 77034":GOSUB 3670:PRINT:PRINT"    Since this program is being distributed via shareware and modifications to  the code will certainly result, I can make no claims as to the suitability of"
3350 PRINT"this program for use on any particular computer or printer.":PRINT:PRINT"    There are no warranties or claims, express or implied.  While I have made   every effort to insure that there are no bugs in this program, you use it"
3360 PRINT"entirely at your own risk.  This program is furnished 'AS IS'."
3370 LOCATE 25,27:PRINT"Press any key to continue";
3380 AN$=INKEY$:IF AN$="" THEN 3380 ELSE LOCATE 25,26:PRINT"                           ";
3390 CLS:PRINT:PRINT"    This program will print a label for use on a diskette.  It uses standard    4 X 1 7/16 labels.  The title is printed in double-wide and centered.  The date"
3400 PRINT"is either left blank by pressing [N]one or press RETURN to use the current      system date.  The diskette number can either be entered '001' or RETURN will    leave it blank."
3410 PRINT:PRINT"    Comment lines 1 thru 5 will be printed flush left if you press the RETURN   key, centered if you press the F1 key, and flush to the right if you press the"
3420 PRINT"F2 key. Line 5 can also be printed as follows:                                                  F3 - will print MASTER                                                          F4 - will print BACKUP"
3430 PRINT"                F5 - will print WORKING COPY"
3440 PRINT"F9 will restart the program from the beginning and F10 will terminate the       program and return you to Basic."
3450 PRINT:PRINT"    All lines are printed with emphasize and double-strike modes on.  This      program has deliberately been left in basic so that the codes can be easily     modified for your printer."
3460 PRINT:PRINT"    Use this program in good faith and share it with others."
3470 LOCATE 25,27:PRINT"Press any key to continue";
3480 AN$=INKEY$:IF AN$="" THEN 3480 ELSE LOCATE 25,26:PRINT"                           ";
3490 CLS:ABC$="KEY SUMMERY":GOSUB 3670
3500 LOCATE 5,20:PRINT "F1  - Center the line"
3510 LOCATE 6,20:PRINT "F2  - Flush right the line"
3520 LOCATE 7,20:PRINT "F3  - Print MASTER on line 8"
3530 LOCATE 8,20:PRINT "F4  - Print BACKUP on line 8"
3540 LOCATE 9,20:PRINT "F5  - Print WORKING COPY on line 8"
3550 LOCATE 10,20:PRINT "F7  - This series of information screens"
3560 LOCATE 11,20:PRINT "F9  - Restart from the logo screen"
3570 LOCATE 12,20:PRINT "F10 - End the program and return to Basic"
3580 LOCATE 15,1:PRINT "     Not all 'F' keys are always active.  There will be a note near the bottom  of each screen that will indicate which keys are active and a reminder line is  at the bottom of the screen shows the key assignments."
3590 LOCATE 25,27:PRINT"Press any key to continue";
3600 AN$=INKEY$:IF AN$="" THEN 3600 ELSE LOCATE 25,26:PRINT"                           ";
3610 CLS:PRINT:PRINT:PRINT:PRINT:ABC$="(C) Copyright 1986, 1987":GOSUB 3670:PRINT:ABC$="by":GOSUB 3670:PRINT:ABC$="Glenn M. Dickson":GOSUB 3670:PRINT:ABC$="654 Gilpin St.":GOSUB 3670
3620 PRINT:ABC$="Houston, Texas, 77034":GOSUB 3670:PRINT:PRINT:ABC$="ALL RIGHTS RESERVED":GOSUB 3670:PRINT:PRINT:ABC$="Correspondence will only be answered if an S.A.S.E. is included.":GOSUB 3670
3630 LOCATE 25,27:PRINT"Press any key to continue";
3640 AN$=INKEY$:IF AN$="" THEN 3640 ELSE LOCATE 25,26:PRINT"                           ";
3650 RETURN
3660 '********** CENTER TEXT *************************************************
3670 TB=INT((80-LEN(ABC$))*.5)
3680 PRINT TAB(TB) ABC$
3690 RETURN
3700 '********** 'F' Key Trap Routines ***************************************
3710 CLS:END
3720 RETURN 340
3730 GOSUB 3280:RETURN 700
3740 GOSUB 3280:RETURN 2660
3750 TXT$=MA$:RETURN 3050
3760 TXT$=MB$:RETURN 3050
3770 TXT$=MC$:RETURN 3050
3780 '********** FLUSH RIGHT *************************************************
3790 IF LEN(TXT$) < LN THEN TXT$=" "+TXT$:GOTO 3790
3800 LOCATE ,FP
3810 PRINT TXT$;
3820 RETURN
3830 '********** EDIT LINES **************************************************
3840 GOSUB 3210
3850 IF CLR THEN COLOR 13
3860 LOCATE 6,18:PRINT "1"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"1";
3870 LOCATE 7,18:PRINT "2"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"3";
3880 LOCATE 8,18:PRINT "4"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"4";
3890 LOCATE 9,18:PRINT "5"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"5";
3900 LOCATE 10,18:PRINT "6"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"6";
3910 LOCATE 11,18:PRINT "7"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"7";
3920 LOCATE 12,18:PRINT "8"CHR$(16);:LOCATE ,61:PRINT CHR$(17)"8";
3930 LOCATE 14,36:PRINT "9 = DONE";
3940 LOCATE 16,1:ABC$="Enter the NUMBER of the line":GOSUB 3160
3950 LOCATE 17,1:ABC$="that you want to change":GOSUB 3160
3960 AN$=INKEY$:IF AN$="" THEN 3960
3970 ZX=INSTR("123456789",AN$)
3980 IF ZX=0 THEN 3960
3990 GOSUB 3210
4000 ON ZX GOSUB 840,1030,1230,1430,1620,1810,2000,2190,4030
4010 GOTO 3940
4020 '********** END RE-DO ***************************************************
4030 FOR Z=6 TO 12
4040 LOCATE Z,18:PRINT"  ";:LOCATE Z,61:PRINT"  ";
4050 NEXT
4060 LOCATE 14,36:PRINT"        ";
4070 GOTO 2380
4080 '********** Correct & Re-print ******************************************
4090 CLS:GOSUB 3240:IF CLR THEN COLOR 11
4100 LOCATE 5,20:PRINT CHR$(218);:FOR P=21 TO 59:PRINT CHR$(196);:NEXT:PRINT CHR$(191)
4110 FOR P=6 TO 12:LOCATE P,60:PRINT CHR$(179);:NEXT:LOCATE 13,60:PRINT CHR$(217)
4120 FOR P=59 TO 21 STEP -1:LOCATE 13,P:PRINT CHR$(196);:NEXT:LOCATE 13,20:PRINT CHR$(192);
4130 FOR P=12 TO 6 STEP -1:LOCATE P,20:PRINT CHR$(179);:NEXT
4140 IF CLR THEN COLOR 10
4150 LOCATE 6,31:PRINT TITLE$;
4160 LOCATE 7,21:PRINT FDATE$;
4170 LOCATE 7,54:PRINT DSK$;
4180 LOCATE 8,21:PRINT LINE4$;
4190 LOCATE 9,21:PRINT LINE5$;
4200 LOCATE 10,21:PRINT LINE6$;
4210 LOCATE 11,21:PRINT LINE7$;
4220 LOCATE 12,21:PRINT LINE8$;
4230 GOTO 3850
4240 '********** Label Alignment **********************************************
4250 FLG=0:BEEP
4260 IF CLR THEN COLOR 15
4270 LOCATE 16,1:ABC$="Do want to print an alignment label?":GOSUB 3670
4280 LOCATE 18,1:ABC$="[ Y ] or [ N ]":GOSUB 3670
4290 AN$=INKEY$:IF AN$=""THEN 4290
4300 IF (AN$="N") OR (AN$="n") OR (AN$=CHR$(13)) THEN GOSUB 3210:RETURN
4310 IF (AN$="Y") OR (AN$="y") THEN 4330
4320 GOTO 4290
4330 LOCATE 18,1:ABC$="   PRINTING   ":GOSUB 3670
4340 LPRINT CHR$(27);"W";"1";CHR$(27);"G";CHR$(27);"E":LPRINT STRING$(19,"T")
4350 LPRINT CHR$(27);"W";"0":LPRINT "MM-DD-YY";TAB(34);"123456"
4360 FOR N=52 TO 56:LPRINT STRING$(39,CHR$(N)):NEXT
4370 GOTO 4280
4380 '********** END OF LISTING ***********************************************
4390 'END OF LISTING -- DISKETTE LABEL MAKER
4400 '(C) COPYRIGHT 1986, 1987 by
4410 'GLENN M. DICKSON
